/*
 * gsampler-database-instinfo.h
 * Copyright (C) Lilian Monchalin 2011 <isaya07@users.sf.net>
 *
 * gsampler is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * gsampler is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GSAMPLER_DATABASE_INSTINFO_H_
#define _GSAMPLER_DATABASE_INSTINFO_H_

#include <gtk/gtk.h>
#include "gsampler-client-database.h"

G_BEGIN_DECLS

#define GSAMPLER_TYPE_DATABASE_INSTINFO             (gsampler_database_instinfo_get_type ())
#define GSAMPLER_DATABASE_INSTINFO(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), GSAMPLER_TYPE_DATABASE_INSTINFO, GsamplerDatabaseInstinfo))
#define GSAMPLER_DATABASE_INSTINFO_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), GSAMPLER_TYPE_DATABASE_INSTINFO, GsamplerDatabaseInstinfoClass))
#define GSAMPLER_IS_DATABASE_INSTINFO(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GSAMPLER_TYPE_DATABASE_INSTINFO))
#define GSAMPLER_IS_DATABASE_INSTINFO_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), GSAMPLER_TYPE_DATABASE_INSTINFO))
#define GSAMPLER_DATABASE_INSTINFO_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), GSAMPLER_TYPE_DATABASE_INSTINFO, GsamplerDatabaseInstinfoClass))
#define GSAMPLER_DATABASE_INSTINFO_GET_PRIVATE(obj) (G_TYPE_INSTANCE_GET_PRIVATE ((obj), GSAMPLER_TYPE_DATABASE_INSTINFO, GsamplerDatabaseInstinfoPrivate))

typedef struct _GsamplerDatabaseInstinfoClass GsamplerDatabaseInstinfoClass;
typedef struct _GsamplerDatabaseInstinfo GsamplerDatabaseInstinfo;
typedef struct _GsamplerDatabaseInstinfoPrivate GsamplerDatabaseInstinfoPrivate;

struct _GsamplerDatabaseInstinfoClass
{
	GtkDialogClass parent_class;
};

struct _GsamplerDatabaseInstinfo
{
	GtkDialog parent_instance;
	GsamplerDatabaseInstinfoPrivate *priv;
};

struct _GsamplerDatabaseInstinfoPrivate
{
	GsamplerDbInstInfo *info;
	GtkTextBuffer *desc_buffer;
};

GType gsampler_database_instinfo_get_type (void) G_GNUC_CONST;

GsamplerDatabaseInstinfo* gsampler_database_instinfo_new (GsamplerDbInstInfo *inst_info, 
                                                          GtkWindow *parent);

G_END_DECLS

#endif /* _GSAMPLER_DATABASE_INSTINFO_H_ */
